+-----------------------------------------------------------------------
| Running opensmtpd-filter-spfgreylist on OpenBSD
+-----------------------------------------------------------------------

The filter itself requires no configuration.

It must be declared in smtpd.conf and attached to a listener for
sessions to go through greylisting:

  filter "greylist" proc-exec "filter-spfgreylist"

  listen on all filter "greylist"

It is possible to tweak the greylisting parameters, here listed with
default values in seconds:

* -passtime 300 accept greylisting retries only after 5 minutes from
  initial attempt
* -greyexp 14400 expire greylisting attempts after 4 hours without a
  retry
* -whiteexp 2592000 expire whitelisting after 30 days without any
  attempt at delivery

It is also possible to inject IP and domains in the whitelists at
startup to avoid greylisting:

* -wl-ip <filename> inject IP addresses listed, one per line, in the
  parameter file to the whitelist
* -wl-domain <filename> inject domains listed, one per line, in the
  parameter file to the whitelist
